PDA

View Full Version : YUM question



scaryAardvark
23rd May 2008, 01:19 PM
I recently upgraded my OpenOffice to 2.4 yet yum update is still insisting that openoffice.org-headless for version 2.3 has an update which needs applying.

I have no 2.3 files on my server (as far as I can tell, i.e. yum list installed | grep -i openoffice yielded only 2.4 stuff).

My question is.. How can I identify why yum believes that openoffice.org-headless for 2.3 needs updating?

Thx
Mark.

Hlingler
23rd May 2008, 07:12 PM
Hm. Try this: if not already installed:
yum install yum-utils

Then:
package-cleanup --dupes

See if there's a stale OOorg-2.3 RPM hiding in the RPM database somewhere. If so, remove it with:
rpm -ev --noscipts <package-name-including-version-and-release-number.rpm>

V